commit: 6bad21349cfc8f59458eaa7bdc5ae7ff466586f5
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Tue Oct 5 20:57:13 2021 +0000
Commit: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Tue Oct 5 21:24:13 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=6bad2134
dev-R/RcppEnsmallen: add 0.2.17.0.1
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
dev-R/RcppEnsmallen/Manifest | 1 +
.../RcppEnsmallen/RcppEnsmallen-0.2.17.0.1.ebuild | 40 ++++++++++++++++++++++
2 files changed, 41 insertions(+)
diff --git a/dev-R/RcppEnsmallen/Manifest b/dev-R/RcppEnsmallen/Manifest
index 592d85448..4f66f0fdd 100644
--- a/dev-R/RcppEnsmallen/Manifest
+++ b/dev-R/RcppEnsmallen/Manifest
@@ -1 +1,2 @@
DIST RcppEnsmallen_0.2.15.0.1.tar.gz 223966 BLAKE2B
fd7ed0b56d2f136f836b8987bb7b599aa1acdffce3c77e381939d7ec575cb5dabb181d5ddd7c229f3905b3d43c69705cd55fffcae5ea057742435ac13baa5080
SHA512
ab3ad2711154342030f66d89a3472181ac311b769b55018742cbee7e233327eabb85d4dccb9a5361f680d1ca0fe5ffa613211f908d85981eea19efd0ecb39f70
+DIST RcppEnsmallen_0.2.17.0.1.tar.gz 243399 BLAKE2B
c143d6f2d3631e1226ee35894fc56ea113a756418efbd1e2deb70d9b1ddbf63e79b6cbe8c86f2dab81bbfd62af2ae464651fedd893dee0c6961c8759f589c421
SHA512
6b6c10ad188b13cca2498c5fc2cec74a18eab34f30411cbc48e09c327253889aa85a80717372aadc2f5c2245f7a7332c474cae237730bab5dbf4b4895f0f7607
diff --git a/dev-R/RcppEnsmallen/RcppEnsmallen-0.2.17.0.1.ebuild
b/dev-R/RcppEnsmallen/RcppEnsmallen-0.2.17.0.1.ebuild
new file mode 100644
index 000000000..4a00cf0af
--- /dev/null
+++ b/dev-R/RcppEnsmallen/RcppEnsmallen-0.2.17.0.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MYPV="$(ver_cut 2-4 ${PV})"
+
+inherit R-packages
+
+DESCRIPTION='Header-Only C++ Mathematical Optimization library for armadillo'
+#SRC_URI="mirror://cran/src/contrib/RcppEnsmallen/RcppEnsmallen_${PV}.tar.gz"
+KEYWORDS="~amd64"
+LICENSE='GPL-2+'
+
+DEPEND="
+ >=dev-lang/R-3.3.0
+ dev-R/Rcpp
+ =sci-libs/ensmallen-${MYPV}*
+"
+RDEPEND="
+ ${DEPEND}
+ dev-R/Rcpp
+ >=dev-R/RcppArmadillo-0.8.400.0.0
+"
+
+src_prepare() {
+ default
+ #remove bundled
+ rm -r inst/include/ensmallen_bits || die
+ rm inst/include/ensmallen.hpp || die
+ #link to sci-libs/ensmallen
+ dosym /usr/include/ensmallen_bits inst/include/ensmallen_bits
+ dosym /usr/include/ensmallen.hpp inst/include/ensmallen.hpp
+}
+
+src_install() {
+ R-packages_src_install
+ dosym /usr/include/ensmallen_bits
"/usr/$(get_libdir)/R/site-library/${PN}/include/ensmallen_bits"
+ dosym /usr/include/ensmallen.hpp
"/usr/$(get_libdir)/R/site-library/${PN}/include/ensmallen.hpp"
+}